<template>
    <div id="app">
    <div v-bind:key="character.id" v-for="character in characters">
      <Character v-bind:character="character" v-on:del-character="deleteCharacter"/>
    </div>
  </div>
   
</template>

<script>
import Character from "../components/Character";
import authHeader from "../services/auth-header";
import axios from "axios";

export default {
  name: "Characters",
  components: {
  Character,
  },
methods: {
    deleteCharacter(character_id) {
      axios
        .delete("http://localhost:8085/characters/" + character_id, {
          headers: authHeader(),
        })
        .then(
          (this.characters = this.characters.filter(
            (character) => character.id !== character_id
          ))
        )
        .catch((err) => console.log(err));
    },
  },
  data() {
    return {
      characters: [],
    };
  },
  created() {
    axios
      .get("http://localhost:8085/characters", {
        headers: authHeader(),
      })
      .then((response) => (this.characters = response.data))
      .catch((err) => console.log(err));
  },
  computed: {
    currentUser() {
      console.log(this.$store.state.auth.user);
      return this.$store.state.auth.user;
    },
  },
  mounted() {
    if (!this.currentUser) {
      this.$router.push("/login");
    }
  },

}
</script>

<style scoped>

</style>